Get Wallet Rewards (Per-Event)
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId}/rewards \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}/rewards"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": {
"amount": "10.45234733",
"assetType": "ETH"
},
"date": "2024-01-15",
"rewardType": "CONSENSUS_LAYER_REWARDS",
"stakingPositionId": "pos_550e8400-e29b-41d4-a716-446655440000",
"transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get Wallet Rewards (Per-Event)
Permissions required: Read vault activity
Get individual reward events for a wallet over a specified date range.
GET
/
wallets
/
{walletId}
/
rewards
Get Wallet Rewards (Per-Event)
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId}/rewards \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}/rewards"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": {
"amount": "10.45234733",
"assetType": "ETH"
},
"date": "2024-01-15",
"rewardType": "CONSENSUS_LAYER_REWARDS",
"stakingPositionId": "pos_550e8400-e29b-41d4-a716-446655440000",
"transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The unique identifier of the wallet
Query Parameters
The reward type to query.
Solana reward types.
DELEGATION_REWARDS- Standard staking delegation rewardsDELEGATION_MEV_REWARDS- MEV rewards from staking delegation
Ethereum reward types.
EXECUTION_LAYER_REWARDS- Execution layer rewards including transaction fees and MEVBLOCK_PROPOSER_REWARDS- Block proposal rewardsATTESTATION_REWARDS- Block attestation rewardsSYNC_COMMITTEE_REWARDS- Sync committee participation rewards
Available options:
DELEGATION_MEV_REWARDS, DELEGATION_REWARDS, EXECUTION_LAYER_REWARDS, BLOCK_PROPOSER_REWARDS, ATTESTATION_REWARDS, SYNC_COMMITTEE_REWARDS Filter rewards by asset type.
Maximum number of results to return per query
Required range:
1 <= x <= 100When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Was this page helpful?